#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

def matsu(nokori)
  while nokori > 0
    sleep(3)
    nokori -= 1
  end
end

def tsureta()
  puts "お魚が釣れました!"
  puts "なんのお魚が釣れたかな?"
  sakana = ["アジちゃんです!すごーい!","フグちゃんです。ドンマイ。","タイちゃんです!!やったね!"]
  chusen = rand(sakana.length)
  printf("釣れた魚は、%s\n",sakana[chusen])
end
while true
  puts "魚釣りスタート!"
  matsu(1)
  puts "まだかな?"
  matsu(2)
  tsureta
  puts "もう一度やりますか?"
  print "yesかnoで答えてください:"
  kotae = gets.chomp
  if kotae == "yes"
    redo
  else
    break
  end
end
